org.eclipse.viatra.cep.core.metamodels.events.util

## Class EventsSwitch<T>

- java.lang.Object
- - org.eclipse.emf.ecore.util.Switch<T>
  - - org.eclipse.viatra.cep.core.metamodels.events.util.EventsSwitch<T>

-     public class EventsSwitch<T>
      extends org.eclipse.emf.ecore.util.Switch<T>

  The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.
  See Also:
    `EventsPackage`
  Generated:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static EventsPackage` | `modelPackage` The cached model package

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventsSwitch()` Creates an instance of the switch.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `caseAbstractMultiplicity(AbstractMultiplicity object)` Returns the result of interpreting the object as an instance of 'Abstract Multiplicity'.
    `T` | `caseAND(AND object)` Returns the result of interpreting the object as an instance of 'AND'.
    `T` | `caseAtLeastOne(AtLeastOne object)` Returns the result of interpreting the object as an instance of 'At Least One'.
    `T` | `caseAtomicEventPattern(AtomicEventPattern object)` Returns the result of interpreting the object as an instance of 'Atomic Event Pattern'.
    `T` | `caseComplexEventOperator(ComplexEventOperator object)` Returns the result of interpreting the object as an instance of 'Complex Event Operator'.
    `T` | `caseComplexEventPattern(ComplexEventPattern object)` Returns the result of interpreting the object as an instance of 'Complex Event Pattern'.
    `T` | `caseEvent(Event object)` Returns the result of interpreting the object as an instance of 'Event'.
    `T` | `caseEventModel(EventModel object)` Returns the result of interpreting the object as an instance of 'Event Model'.
    `T` | `caseEventPattern(EventPattern object)` Returns the result of interpreting the object as an instance of 'Event Pattern'.
    `T` | `caseEventPatternReference(EventPatternReference object)` Returns the result of interpreting the object as an instance of 'Event Pattern Reference'.
    `T` | `caseEventSource(EventSource object)` Returns the result of interpreting the object as an instance of 'Event Source'.
    `T` | `caseFOLLOWS(FOLLOWS object)` Returns the result of interpreting the object as an instance of 'FOLLOWS'.
    `T` | `caseInfinite(Infinite object)` Returns the result of interpreting the object as an instance of 'Infinite'.
    `T` | `caseMultiplicity(Multiplicity object)` Returns the result of interpreting the object as an instance of 'Multiplicity'.
    `T` | `caseNEG(NEG object)` Returns the result of interpreting the object as an instance of 'NEG'.
    `T` | `caseOR(OR object)` Returns the result of interpreting the object as an instance of 'OR'.
    `T` | `caseTimewindow(Timewindow object)` Returns the result of interpreting the object as an instance of 'Timewindow'.
    `T` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
    `protected T` | `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
    `protected boolean` | `isSwitchFor(org.eclipse.emf.ecore.EPackage ePackage)` Checks whether this is a switch for the given package.

    - ### Methods inherited from class org.eclipse.emf.ecore.util.Switch

      `doSwitch, doSwitch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static EventsPackage modelPackage

      The cached model package
      Generated:

  - ### Constructor Detail

    - #### EventsSwitch

          public EventsSwitch()

      Creates an instance of the switch.
      Generated:

  - ### Method Detail

    - #### isSwitchFor

          protected boolean isSwitchFor(org.eclipse.emf.ecore.EPackage ePackage)

      Checks whether this is a switch for the given package.
      Specified by:
        `isSwitchFor` in class `org.eclipse.emf.ecore.util.Switch<T>`
      Parameters:
        `ePackage` - the package in question.
      Returns:
        whether this is a switch for the given package.
      Generated:

    - #### doSwitch

          protected T doSwitch(int classifierID,
                               org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Overrides:
        `doSwitch` in class `org.eclipse.emf.ecore.util.Switch<T>`
      Returns:
        the first non-null result returned by a `caseXXX` call.
      Generated:

    - #### caseEventModel

          public T caseEventModel(EventModel object)

      Returns the result of interpreting the object as an instance of 'Event Model'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Event Model'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseEventPattern

          public T caseEventPattern(EventPattern object)

      Returns the result of interpreting the object as an instance of 'Event Pattern'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Event Pattern'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseAtomicEventPattern

          public T caseAtomicEventPattern(AtomicEventPattern object)

      Returns the result of interpreting the object as an instance of 'Atomic Event Pattern'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Atomic Event Pattern'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseComplexEventPattern

          public T caseComplexEventPattern(ComplexEventPattern object)

      Returns the result of interpreting the object as an instance of 'Complex Event Pattern'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Complex Event Pattern'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseEventPatternReference

          public T caseEventPatternReference(EventPatternReference object)

      Returns the result of interpreting the object as an instance of 'Event Pattern Reference'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Event Pattern Reference'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseEvent

          public T caseEvent(Event object)

      Returns the result of interpreting the object as an instance of 'Event'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Event'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseEventSource

          public T caseEventSource(EventSource object)

      Returns the result of interpreting the object as an instance of 'Event Source'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Event Source'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseComplexEventOperator

          public T caseComplexEventOperator(ComplexEventOperator object)

      Returns the result of interpreting the object as an instance of 'Complex Event Operator'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Complex Event Operator'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseOR

          public T caseOR(OR object)

      Returns the result of interpreting the object as an instance of 'OR'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'OR'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseNEG

          public T caseNEG(NEG object)

      Returns the result of interpreting the object as an instance of 'NEG'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'NEG'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseFOLLOWS

          public T caseFOLLOWS(FOLLOWS object)

      Returns the result of interpreting the object as an instance of 'FOLLOWS'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'FOLLOWS'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseAND

          public T caseAND(AND object)

      Returns the result of interpreting the object as an instance of 'AND'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'AND'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseTimewindow

          public T caseTimewindow(Timewindow object)

      Returns the result of interpreting the object as an instance of 'Timewindow'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Timewindow'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseAbstractMultiplicity

          public T caseAbstractMultiplicity(AbstractMultiplicity object)

      Returns the result of interpreting the object as an instance of 'Abstract Multiplicity'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Abstract Multiplicity'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseMultiplicity

          public T caseMultiplicity(Multiplicity object)

      Returns the result of interpreting the object as an instance of 'Multiplicity'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Multiplicity'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseInfinite

          public T caseInfinite(Infinite object)

      Returns the result of interpreting the object as an instance of 'Infinite'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Infinite'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseAtLeastOne

          public T caseAtLeastOne(AtLeastOne object)

      Returns the result of interpreting the object as an instance of 'At Least One'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'At Least One'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### defaultCase

          public T defaultCase(org.eclipse.emf.ecore.EObject object)

      Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.
      Overrides:
        `defaultCase` in class `org.eclipse.emf.ecore.util.Switch<T>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`
      Generated: